<?php
  function readData()
  {
    $dsn = "mysql:host=localhost;dbname=testphp";
    $uzytkownik = "php";
    $haslo = "test";

    try{
      $dbo = new PDO($dsn, $uzytkownik, $haslo);
    }
    catch (PDOException $e){
      //echo 'Błąd połączenia: ' . $e->getMessage();
      return false;
    }

    $query = 'SELECT Kolor FROM kolory ORDER BY Kolor';

    if(!$result = $dbo->query($query)){
      //echo "Błąd w drugim zapytaniu SELECT";
      return false;
    }

    return $result->fetchAll(PDO::FETCH_NUM);
  }
?>
<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Moja strona WWW</title>
  </head>
  <body>
    <h3>Jaki jest Twój ulubiony kolor?</h3>
    
    <?php if($kolory = readData()): ?>
    <form method="post" action="ankieta.php">
    <div>
      <table>
      
        <?php foreach($kolory as $kolor): ?>
          <tr>
            <td><?=$kolor[0]?></td>
            <td>
              <input type="radio" name="vote" value="<?=$kolor[0]?>">
            </td>
          </tr>
        <?php endforeach ?>
        
        <tr>
          <td colspan="2">
            <input type="submit" value="Głosuj">
          </td>
        </tr>
      </table>
      </div>
    </form>
    <?php else: ?>
      <p>Sonda nie jest w tej chwili dostępna.</p>
    <?php endif; ?>
  </body>
</html>